Documentation Index
Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
Use this file to discover all available pages before exploring further.
モデルリストの取得
エンドポイント: GET /v1/models
- ユーザーがログインしている場合はユーザーグループ下の利用可能リストを取得し、ユーザーがログインしていない場合は default グループ下の利用可能リストを取得します。
- header に Authorization フィールドがある場合は、key に対応する token 下で設定されたモデルリストを照会します。
レスポンス例:
{
"data": [
{
"id": "gpt-4o-mini",
"object": "model",
"created": 1626777600,
"owned_by": "OpenAI",
"permission": [
{
"id": "modelperm-LwHkVFn8AcMItP432fKKDIKJ",
"object": "model_permission",
"created": 1626777600,
"allow_create_engine": true,
"allow_sampling": true,
"allow_logprobs": true,
"allow_search_indices": false,
"allow_view": true,
"allow_fine_tuning": false,
"organization": "*",
"group": null,
"is_blocking": false
}
],
"root": "gpt-4o-mini",
"parent": null
}
]
}
レスポンス結果
| ステータスコード | ステータスコードの意味 | 説明 | データモデル |
|---|
| 200 | OK | none | Inline |
レスポンスデータ構造
ステータスコード 200
| 名前 | タイプ | 必須 | 制約 | 中国語名 | 説明 |
|---|
| » data | [object] | true | none | | none |
| »» id | string | true | none | モデル ID | none |
| »» object | string | true | none | model | none |
| »» created | integer | true | none | 作成時間 | none |
| »» owned_by | string | true | none | 開発者 | none |
| »» permission | [object]¦null | true | none | | none |
| »»» id | string | true | none | | none |
| »»» object | string | true | none | | none |
| »»» created | integer | true | none | | none |
| »»» allow_create_engine | boolean | true | none | | none |
| »»» allow_sampling | boolean | true | none | | none |
| »»» allow_logprobs | boolean | true | none | | none |
| »»» allow_search_indices | boolean | true | none | | none |
| »»» allow_view | boolean | true | none | | none |
| »»» allow_fine_tuning | boolean | true | none | | none |
| »»» organization | string | true | none | | none |
| »»» group | null | true | none | | none |
| »»» is_blocking | boolean | true | none | | none |
| »» root | string | true | none | モデル名 | none |
| »» parent | null | true | none | 親ノード | none |
モデル情報の取得
エンドポイント:GET /v1/models/:model
リクエストパラメータ
| 名前 | 位置 | タイプ | 必須 | 説明 |
|---|
| model | path | string | はい | モデル ID |
レスポンス例:
{
"id": "string",
"object": "string",
"created": 0,
"owned_by": "string",
"permission": [
{
"id": "string",
"object": "string",
"created": 0,
"allow_create_engine": true,
"allow_sampling": true,
"allow_logprobs": true,
"allow_search_indices": true,
"allow_view": true,
"allow_fine_tuning": true,
"organization": "string",
"group": null,
"is_blocking": true
}
],
"root": "string",
"parent": null
}
レスポンス結果
| ステータスコード | ステータスコードの意味 | 説明 | データモデル |
|---|
| 200 | OK | none | Inline |
レスポンスデータ構造
ステータスコード 200
| 名前 | タイプ | 必須 | 制約 | 中国語名 | 説明 |
|---|
| id | string | true | none | モデル ID | none |
| object | string | true | none | model | none |
| created | integer | true | none | 作成時間 | none |
| owned_by | string | true | none | 開発者 | none |
| permission | [object] | true | none | | none |
| » id | string | false | none | | none |
| » object | string | false | none | | none |
| » created | integer | false | none | | none |
| » allow_create_engine | boolean | false | none | | none |
| » allow_sampling | boolean | false | none | | none |
| » allow_logprobs | boolean | false | none | | none |
| » allow_search_indices | boolean | false | none | | none |
| » allow_view | boolean | false | none | | none |
| » allow_fine_tuning | boolean | false | none | | none |
| » organization | string | false | none | | none |
| » group | null | false | none | | none |
| » is_blocking | boolean | false | none | | none |
| root | string | true | none | モデル名 | none |
| parent | null | true | none | 親ノード | none |